Page MenuHomePhabricator

Applied puppet classes not appearing in horizon for integration-slave-docker-c2-m4-d40-1005.integration.eqiad.wmflabs
Open, LowPublic

Description

The role role::ci::slave::labs::docker is allowed on integration-slave-docker-c2-m4-d40-1005.integration.eqiad.wmflabs and appears on https://tools.wmflabs.org/openstack-browser/server/integration-slave-docker-c2-m4-d40-1005.integration.eqiad.wmflabs but does not appear as applied in horizon and thus can not be removed.

The same also happens for the integration-slave-docker-c2-m4-d40-1004.integration.eqiad.wmflabs instance that I created today, however this is a WIP instance and broken in other ways hence using the 1005 example.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 17 2017, 5:08 PM
bd808 added a comment.Oct 17 2017, 5:11 PM

Re-adding the role via Horizon does not change anything. No error message for the add, but still not showing as applied on on any of the puppet tabs.

bd808 added a comment.Oct 17 2017, 5:13 PM

Interestingly, the view at https://tools.wmflabs.org/openstack-browser/puppetclass/role::ci::slave::labs::docker shows these roles being applied via wildcards:

integration-slave-docker-c2-m4-d40-1004.integration.eqiad.wmflab*
integration-slave-docker-c2-m4-d40-1005.integration.eqiad.wmflab*

Is this triggered by some limit on the instance name length?

I now remember (and just tested) that when I first created the 1005 instance I couldn't edit the hiera config.
That could also be due to the name length

Dzahn added a subscriber: Dzahn.Oct 17 2017, 5:45 PM

That's exactly 64 characters there. Seems suspicious and plausible that it is about the max length.

Mentioned in SAL (#wikimedia-releng) [2017-10-17T22:08:26Z] <addshore> replaced integration-slave-docker-c2-m4-d40-1005 with integration-slave-docker-1005 T178409

So, I have removed both integration instances that were causing me issues and replaced them with instances with shorter names.

It seems the odd wildcard stuff still appears @ https://tools.wmflabs.org/openstack-browser/puppetclass/role::ci::slave::labs::docker and we might want to clean that up.

GTirloni triaged this task as Low priority.Mar 21 2019, 6:02 PM